API MiniToolAI menyediakan antarmuka sederhana ke model AI canggih untuk pemrosesan bahasa alami, pembuatan gambar, teks ke suara. Ikuti panduan ini untuk belajar bagaimana menghasilkan respons seperti manusia (ChatGPT), dan membuat gambar dari deskripsi teks.
Biaya permintaan API akan dipotong dari saldo kredit Anda.
Isi saldoKunci API harus disertakan dalam header untuk setiap permintaan API.
Header: "Authorization: Bearer API_key"
Membuat respons model untuk percakapan yang diberikan.
import requests
import json
API_Url = "https://minitoolai.com/api/chat-completions/"
API_Key = "MiniToolAI_API_Key"
headers = {
"Content-Type": "application/json",
"Authorization": f"Bearer {API_Key}"
}
data = {
"model": "gpt-4o-mini", #gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
"messages": [
{"role": "developer", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello"},
{"role": "assistant", "content": "How can I help you today?"},
{"role": "user", "content": "What's the largest U.S. state by area?"}
],
"temperature": 1.0,
"max_completion_tokens": 1000
}
response = requests.post(API_Url, headers=headers, json=data, stream=True)
#single result
print(response.text)
#streamed
for line in response.iter_lines():
if line:
decode_line = line.decode('utf-8')
print(decode_line)
<?php
$api_url = "https://minitoolai.com/api/chat-completions/";
$api_key = "MiniToolAI_API_Key";
$data = [
"model" => "gpt-4o-mini", //gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
"messages" => [
["role" => "developer", "content" => "You are a helpful assistant."],
["role" => "user", "content" => "Hello"],
["role" => "assistant", "content" => "How can I help you today?"],
["role" => "user", "content" => "What's the largest U.S. state by area?"],
],
"temperature" => 1.0,
"max_completion_tokens" => 1000
];
$headers = [
"Content-Type: application/json",
"Authorization: Bearer $api_key"
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $api_url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
// streamed
curl_setopt($ch, CURLOPT_WRITEFUNCTION, function($ch, $data) {
echo $data;
ob_flush();
flush();
return strlen($data);
});
$response = curl_exec($ch);
if (curl_errno($ch)) {
echo "cURL error: " . curl_error($ch);
}
curl_close($ch);
?>
#data with image input
data = {
"model": "gpt-4o-mini", #gpt-4o
"messages": [
{"role": "developer", "content": "You are a helpful assistant."},
{
"role": "user",
"content": [
{"type": "text", "text": "What's in this image?"},
{
"type": "image_url",
"image_url": {
"url": "https://example.com/image.jpg", #jpg, jpeg, png, webp or gif
"detail": "auto" #auto, high or low
}
}
]
}
],
"temperature": 0.7,
"max_completion_tokens": 300
}
//data with image input
$data = [
"model" => "gpt-4o-mini", // gpt-4o
"messages" => [
["role" => "developer", "content" => "You are a helpful assistant."],
[
"role" => "user",
"content" => [
[
"type" => "text",
"text" => "What's in this image?"
],
[
"type" => "image_url",
"image_url" => [
"url" => "https://example.com/image.jpg", // jpg, jpeg, png, webp or gif
"detail" => "auto" // auto, high or low
]
]
]
]
],
"temperature" => 0.7,
"max_completion_tokens" => 300
];
messages array Wajib
Daftar pesan yang terdiri dari percakapan sejauh ini.
model string Wajib
ID model yang akan digunakan
Model yang tersedia: gpt-4o, gpt-4o-mini, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
temperature angka atau null Opsional
Bawaan 1
Temperatur sampling yang digunakan, antara 0.0 dan 2.0. Nilai yang lebih tinggi seperti 0.8 akan membuat output lebih kreatif, sedangkan nilai lebih rendah seperti 0.2 akan membuatnya lebih fokus dan deterministik.
max_completion_tokens integer atau null Opsional
Bawaan 1000
Batas atas jumlah token yang dapat dihasilkan dalam satu respons
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"Ok"},"logprobs":null,"finish_reason":null}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"."},"logprobs":null,"finish_reason":null}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{},"logprobs":null,"finish_reason":"stop"}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[],"usage":{"prompt_tokens":17,"completion_tokens":3,"total_tokens":20,"prompt_tokens_details":{"cached_tokens":0,"audio_tokens":0},"completion_tokens_details":{"reasoning_tokens":0,"audio_tokens":0,"accepted_prediction_tokens":0,"rejected_prediction_tokens":0}}}
data: [DONE]
Membuat gambar berdasarkan perintah teks.
import requests
import json
url = "https://minitoolai.com/api/texttoimage/"
API_Key = "MiniToolAI_API_Key"
headers = {
"Content-Type": "application/json",
"Authorization": f"Bearer {API_Key}"
}
data = {
"model": "realvision",
"prompt": "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
"negativePrompt": "unrealistic eyes, malformed features, ugly drawn",
"scheduler": "DPM++ SDE",
"steps": 4,
"cfgScale": 2.0,
"width": 1152,
"height": 768
}
response = requests.post(url, json=data, headers=headers)
print(response.text)
'''
#response
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
'''
<?php
// API URL and Key
$url = "https://minitoolai.com/api/texttoimage/";
$API_Key = "MiniToolAI_API_Key";
// Headers
$headers = [
"Content-Type: application/json",
"Authorization: Bearer $API_Key"
];
// Data to be sent in the request
$data = [
"model" => "realvision",
"prompt" => "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
"negativePrompt" => "unrealistic eyes, malformed features, ugly drawn",
"scheduler" => "DPM++ SDE",
"steps" => 4,
"cfgScale" => 2.0,
"width" => 1152,
"height" => 768
];
// Initialize cURL session
$ch = curl_init();
// Set cURL options
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
// Execute the cURL request
$response = curl_exec($ch);
echo $response;
// Close the cURL session
curl_close($ch);
/*
Response:
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
*/
?>
Ambil Status dan Hasil Pekerjaan
curl -X POST https://minitoolai.com/api/texttoimage/jobs/ \
-H "Content-Type: application/json" \
-d '{
"jobid": "12345678",
"signature": "abcxyz123"
}'
Respons
{
"status": "success",
"image_url": "https://...",
"message": "success"
}
model string Wajib
ID model yang akan digunakan
Model yang tersedia: "realvision", "juggernaut", "autismmix", "dreamshaper", "valhalla", "mixrealistic", "campursari", "reality", "extrarealistic", "realism", "realgirls", "realityreborn", "amigo", "simplemix", "beautifulrealistic"
prompt string Wajib
Deskripsi gambar
negativePrompt string atau null Opsional
Deskripsi tentang apa yang ingin Anda kecualikan dari gambar yang dihasilkan
scheduler string atau null Opsional
Mengontrol bagaimana noise dihapus selama proses pembuatan gambar.
Bawaan "DPM++ SDE"
Nilai yang memungkinkan adalah: "Euler a", "Euler", "LMS", "Heun", "DPM2", "DPM2 a", "DPM++ 2S a", "DPM++ 2M", "DPM++ SDE", "DPM++ 2M SDE", "DPM fast", "LMS Karras", "DPM2 Karras", "DPM2 a Karras", "DPM++ 2S a Karras", "DPM++ 2M Karras", "DPM++ SDE Karras", "DPM++ 2M SDE Karras"
steps integer atau null Opsional
Jumlah langkah untuk proses pembuatan gambar, antara 1 dan 8.
Bawaan 4
cfgScale angka atau null Opsional
cfgScale Mengontrol seberapa banyak model harus mengikuti prompt teks yang diberikan. Menyeimbangkan antara kreativitas dan ketepatan, antara 1 dan 7.
Bawaan 2
cfgScale < 4 → gambar lebih kreatif, cfgScale > 4 → lebih sesuai dengan perintah, kurang kreatif
width/height integer atau null Opsional
Ukuran gambar yang dihasilkan, antara 256 hingga 1344.
Bawaan 1024
Harga per 1M token
| Model | Input | Output |
|---|---|---|
| gpt-4o-mini | $0.15 | $0.60 |
| gpt-4o | $2.50 | $10.00 |
| gpt-4.1 | $2.00 | $8.00 |
| gpt-4.1-mini | $0.40 | $1.60 |
| gpt-4.1-nano | $0.10 | $0.40 |
| Model | Harga per gambar |
|---|---|
| Semua model | $0.0015 |